# Uses of Interface
org.w3c.tidy.TagCheck

Packages that use TagCheck
Package
Description
org.w3c.tidy

## Uses of TagCheck in org.w3c.tidy

Classes in org.w3c.tidy that implement TagCheck
Modifier and Type
Class
Description
`static class`
`TagCheckImpl.CheckAnchor`
Checker implementation for anchors.
`static class`
`TagCheckImpl.CheckAREA`
Checker implementation for area.
`static class`
`TagCheckImpl.CheckCaption`
Checker implementation for table caption.
`static class`
`TagCheckImpl.CheckForm`
Checker implementation for forms.
`static class`
`TagCheckImpl.CheckHR`
Checker implementation for hr.
`static class`
`TagCheckImpl.CheckHTML`
Checker implementation for html tag.
`static class`
`TagCheckImpl.CheckIMG`
Checker implementation for image tags.
`static class`
`TagCheckImpl.CheckLINK`
add missing type attribute when appropriate.
`static class`
`TagCheckImpl.CheckMap`
Checker implementation for image maps.
`static class`
`TagCheckImpl.CheckMeta`
Checker implementation for meta tags.
`static class`
`TagCheckImpl.CheckSCRIPT`
Checker implementation for script tags.
`static class`
`TagCheckImpl.CheckSTYLE`
Checker implementation for style tags.
`static class`
`TagCheckImpl.CheckTABLE`
Checker implementation for table.
`static class`
`TagCheckImpl.CheckTableCell`
Checker implementation for table cells.
Fields in org.w3c.tidy declared as TagCheck
Modifier and Type
Field
Description
`static final TagCheck`
TagCheckImpl.`ANCHOR`
CheckAnchor instance.
`static final TagCheck`
TagCheckImpl.`AREA`
CheckAREA instance.
`static final TagCheck`
TagCheckImpl.`CAPTION`
CheckCaption instance.
`static final TagCheck`
TagCheckImpl.`FORM`
CheckForm instance.
`static final TagCheck`
TagCheckImpl.`HR`
CheckHR instance.
`static final TagCheck`
TagCheckImpl.`HTML`
CheckHTML instance.
`static final TagCheck`
TagCheckImpl.`IMG`
CheckIMG instance.
`static final TagCheck`
TagCheckImpl.`LINK`
CheckLINK instance.
`static final TagCheck`
TagCheckImpl.`MAP`
CheckMap instance.
`static final TagCheck`
TagCheckImpl.`META`
CheckMeta instance.
`static final TagCheck`
TagCheckImpl.`SCRIPT`
CheckSCRIPT instance.
`static final TagCheck`
TagCheckImpl.`STYLE`
CheckSTYLE instance.
`static final TagCheck`
TagCheckImpl.`TABLE`
CheckTABLE instance.
`static final TagCheck`
TagCheckImpl.`TABLECELL`
CheckTableCell instance.
Methods in org.w3c.tidy that return TagCheck
Modifier and Type
Method
Description
`TagCheck`
Dict.`getChkattrs()`
Getter for `chkattrs`.
Methods in org.w3c.tidy with parameters of type TagCheck
Modifier and Type
Method
Description
`void`
Dict.`setChkattrs(TagCheck chkattrs)`
Setter for `chkattrs`.
Constructors in org.w3c.tidy with parameters of type TagCheck
Modifier
Constructor
Description
``
`Dict(String name, short versions, int model, Parser parser, TagCheck chkattrs)`
Instantiates a new Tag definition.